Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
LUI USB
#1
Hab auf einmal ein Problem mit meinem Wallbraun LCD.
Demo-PRG läuft, aber bei LCD-Hype nix. Auswahl ist sed 133x ... V1.5 LUI USB
Ich kann mich dunkel erinnern irgendwelche DLLs hin und hergeschoben zu haben...

Weiß einer was?

Danke Thomas


Attached Files Thumbnail(s)
   
Wenn man erstmal verstanden hat wie es funktioniert, kapiert man auch wie es in der Anleitung gemeint war!
#2
Wer lesen kann, ist meistens im Vorteil, musste die allerneueste LUIse sein...

hat sich erledigt
Wenn man erstmal verstanden hat wie es funktioniert, kapiert man auch wie es in der Anleitung gemeint war!
#3
Hi,

habe gerade wieder mein LCD herausgekramt und auch Probleme. Ich schreib
es einfach mal in diesen Thread weil es ganz gut passt.

Anmerkung: Ich hatte damals das Display auf Windows Vista x64 einwandfrei am laufen

Ich habe es mittlerweile auf 2 Systemen getestet umd bekomme einfach keine Anzeige auf dem LCD:

- System 1 -
Windows 7 x64
Wallbraum LCD-USB-Interface V1 (Firmware Version 1.0.3)
LCDHype 0.7.1.1

- System 2 -
Windows XP
Wallbraum LCD-USB-Interface V1 (Firmware Version 1.0.3 und 1.0.5 getestet)
LCDHype 0.7.1.1

Ich hatte es zuerst auf System 1 versucht und die 64-Bit Treiber für das Display installiert, soweit so gut. Aber wenn ich LCDHype starte bekomme ich einfach keine Anzeige auf dem LCD.
Ich dachte vielleicht liegt es an der 64-Bit Version und habe es auf einem Windows XP PC versucht. Dazu habe ich die 32-Bit Treiber für das LCD installiert usw. Aber ich bekam immer noch keine Anzeige.
Also habe ich die Firmware vom LCD Display von 1.0.3 auf 1.0.5 mit der lui_update105.exe (controller\sed133x_usb\LUI) upgedated. Das ging einwandfrei, obwohl ich immer der Meinung war, dass 1.0.5 nur für das LCD-USB-Interface V2 ist. Gebracht hat es leider auch nichts, denn ich bekomme immer noch keine Anzeige auf dem Display.

Unter LCDHype habe ich immer SED133x Graphics LCDs v1.6.1 (LUI USB) gewählt. Habe ich irgendetwas vergessen?

Gruß
sven
#4
funktioniert denn eine alte version, sprich < 0.7? wenn ja dann kucken ob die sed lui dll version die selbe is. wenn ja dann kann es nur an der wrapper.dll liegen die die kommunikation zwischen neuem und alten interface macht.
Current stable version of LCDHype: 0.7.6
New plugin: Notepad++ Bookmark Manager
New music: Nordwise - Empire transition
#5
Hi,

danke für den Tipp biggrin.gif warum bin ich da nicht selber darauf gekommen noch eine alte Version zu testen rolleyes.gif

LCDHype 0.6.0.5 funktioniert - SED 133x v1.5
LCDHype 0.7 funktioniert nicht - SED 133x v1.6
LCDHype 0.7.0.3 - 0.7.1.1 funktioniert nicht - SED 133x v1.6.1

Hab nun die 0.7.1.1 installiert und die SED 133x v1.5 (von 0.6.0.5) benutzt und
bekomme eine Anzeige am Display. Scheint also an der SED 133x v1.6 zu liegen.

Gruß
sven
#6
das is aber jetzt doof denn de 1.6 war nötig weil 1.5 bei einigen das aufhängen der gesamten anwendung verursachte und die 1.6.1 hat nur einen speicherfehler behoben. es wurde damals auch bestätigt das die 1.6 funzt, du sagst jetzt es funzt nicht. na was denn nun...
Current stable version of LCDHype: 0.7.6
New plugin: Notepad++ Bookmark Manager
New music: Nordwise - Empire transition
#7
bitte im anhang die dll probieren. es muss ein dialog kommen wo drin steht LCD_Init 1, wenn 0 drinsteht dann findet er die LUIse.dll nicht oder er findet das Gerät ma USB irgendwie nicht.


Attached Files
.zip   sed133x_usb_lui.zip (Size: 134,41 KB / Downloads: 191)
Current stable version of LCDHype: 0.7.6
New plugin: Notepad++ Bookmark Manager
New music: Nordwise - Empire transition
#8
hi, erstmal danke. ich kann nur davon berichten was ich selber getestet habe wink.gif

Wenn ich die DLL bei dem Ordner mit SED 133x v1.6.1 ersetze, erhalte ich LCD_Init 0
und
wenn ich die DLL bei SED 133x v1.5 ersetze, erhalte ich LCD_Init 1

Gruß
sven
#9
also ich habe das jetzt so verstanden das du die dll die ich gepostet habe einmal über die sed13...dll mit der versionsnummer 1.6.1 kopiert hast und einmal über die 1.5er. richtig?

na dann liegt es klar an der luise.dll, jetzt ist die frage welche ist die aktuelle?
Current stable version of LCDHype: 0.7.6
New plugin: Notepad++ Bookmark Manager
New music: Nordwise - Empire transition
#10
QUOTE
also ich habe das jetzt so verstanden das du die dll die ich gepostet habe einmal über die sed13...dll mit der versionsnummer 1.6.1 kopiert hast und einmal über die 1.5er. richtig?

ja, genau

QUOTE
na dann liegt es klar an der luise.dll, jetzt ist die frage welche ist die aktuelle?

weiss nicht genau wie du das meinst
im SED 133x Verzeichnis befindet sich ja im Unterverzeichnis LUI die LUIse.dll
d.h. einmal habe ich das komplette sed133x_usb Verzeichnis von LCDHype 0.6.0.5 benutzt und einmal von LCDHype 0.7.1.1

oder gibt es noch eine aktuellere?!

ganz schön kompliziert mit den ganzen Versionen biggrin.gif
#11
dann kopier nur mal das luise von der 0.6.0.5 über die 0.7er, nach deinen schilderungen sollte es dann gehen _auch_ mit der sed13...dll 1.6.1.
Current stable version of LCDHype: 0.7.6
New plugin: Notepad++ Bookmark Manager
New music: Nordwise - Empire transition
#12
ok, ich habe nun ganz normal LCDHype 0.7.1.1 mit der LUIse.dll von 0.6.0.5 am laufen und funktioniert ph34r.gif
#13
sehr gut, also ist die frage warum bei dir die alte lui se nicht geht, ich nehme an weil dein lcd eine ältere revision ist? ist dir bekannt welche du hast?
Current stable version of LCDHype: 0.7.6
New plugin: Notepad++ Bookmark Manager
New music: Nordwise - Empire transition
#14
QUOTE
sehr gut, also ist die frage warum bei dir die alte lui se nicht geht...

umgekehrt: die alte luise.dll geht, die neue nicht wink.gif

QUOTE
ch nehme an weil dein lcd eine ältere revision ist? ist dir bekannt welche du hast?

es handelt sich erstmal um das Wallbraun Electronics LCD-USB-Interface V1
auf der Platine steht: LUI v1c 07.2004
#15
Hallo,

geht mir genau so!
nehme nur die LCD-Hype Triber Version 1.5 alle späteren gehen nicht!

Habe firmware 1.0.3 von Wallbraun drauf.
#16
tauscht doch bitte einfach die luise.dll aus...die 1.6.1 geht genauso und hat alle bekannten bugs ausgemerzt.
Current stable version of LCDHype: 0.7.6
New plugin: Notepad++ Bookmark Manager
New music: Nordwise - Empire transition
#17
huh.gif
nur noch mal zur verifiezierung:

dann kopier nur mal das luise von der LCD-Hypeversion 0.6.0.5 über die 0.7er kopieren?

wie erkennt man die luise.dll Version ( 1.6.1 ) ????
#18
du kopierst einfach die LUIse.dll von LCDHype 0.6 in deine 0.7er Version

LUIse.dll von LCDHype 0.6 ist 96 KB groß
LUIse.dll von LCDHype 0.7 ist je nach Build ca. 156KB groß
#19
tongue.gif Danke
#20
Also ich hatte auch schon mal Probleme mit meinem LUI Display V3.

Hier ist der Post wo ihr es genauer nachlesen könnt:

http://lcdhype.condense.de/index.php?showt...t=0&#entry26050

Dabei war folgendes Problem, dass auf dem Rechner Win XP mit SP3 installiert ist und sich LCDHype beim beenden aufhängt.

Kurzum ich habe mal vor ner Weile von Wallbraun eine angepasste dll bekommen damit das Display unter SP3 läuft. Und genau mit dieser läuft es auch wieder mit der LCDHype 0.7.2

Also wenn jemand Win XP und SP3 hat kann er diese luise.dll nehmen.


Attached Files
.dll   LUIse.dll (Size: 156 KB / Downloads: 148)


Forum Jump:


Users browsing this thread: 1 Guest(s)